Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1596413 - OSP13 openstack-neutron-server-opendaylight complains no config file error
Summary: OSP13 openstack-neutron-server-opendaylight complains no config file error
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: puppet-opendaylight
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: ---
Assignee: RHOS Maint
QA Contact: nlevinki
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-28 21:37 UTC by jianzzha
Modified: 2018-10-14 09:12 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-16 07:04:04 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description jianzzha 2018-06-28 21:37:40 UTC
Description of problem:
OSP13 with ODL is deployed, openstack-neutron-server-opendaylight container keep restarting, docker log shows "Failed to find some config files: /etc/neutron/plugin.ini
"


[root@controller-0 ~]# docker ps | grep -i Restart
35be71a4bbbb        docker-registry.engineering.redhat.com/rhosp13/openstack-neutron-server-opendaylight:2018-05-23.1   "kolla_start"            10 minutes ago      Restarting (1) 3 minutes ago                       neutron_api
[root@controller-0 ~]# 


+++ [[ neutron == \r\o\o\t ]]
+ echo 'Running command: '\''/usr/bin/neutron-server --config-file /usr/share/neutron/neutron-dist.conf --config-dir /usr/share/neutron/server --config-file /etc/neutron/neutron.conf --config-file /etc/neutron/plugin.ini --config-dir /etc/neutron/conf.d/common --config-dir /etc/neutron/conf.d/neutron-server --log-file=/var/log/neutron/server.log'\'''
Running command: '/usr/bin/neutron-server --config-file /usr/share/neutron/neutron-dist.conf --config-dir /usr/share/neutron/server --config-file /etc/neutron/neutron.conf --config-file /etc/neutron/plugin.ini --config-dir /etc/neutron/conf.d/common --config-dir /etc/neutron/conf.d/neutron-server --log-file=/var/log/neutron/server.log'
+ exec /usr/bin/neutron-server --config-file /usr/share/neutron/neutron-dist.conf --config-dir /usr/share/neutron/server --config-file /etc/neutron/neutron.conf --config-file /etc/neutron/plugin.ini --config-dir /etc/neutron/conf.d/common --config-dir /etc/neutron/conf.d/neutron-server --log-file=/var/log/neutron/server.log
Traceback (most recent call last):
  File "/usr/bin/neutron-server", line 10, in <module>
    sys.exit(main())
  File "/usr/lib/python2.7/site-packages/neutron/cmd/eventlet/server/__init__.py", line 19, in main
    server.boot_server(wsgi_eventlet.eventlet_wsgi_server)
  File "/usr/lib/python2.7/site-packages/neutron/server/__init__.py", line 40, in boot_server
    _init_configuration()
  File "/usr/lib/python2.7/site-packages/neutron/server/__init__.py", line 30, in _init_configuration
    config.init(sys.argv[1:])
  File "/usr/lib/python2.7/site-packages/neutron/common/config.py", line 78, in init
    **kwargs)
  File "/usr/lib/python2.7/site-packages/oslo_config/cfg.py", line 2504, in __call__
    raise ConfigFilesNotFoundError(self._namespace._files_not_found)
oslo_config.cfg.ConfigFilesNotFoundError: Failed to find some config files: /etc/neutron/plugin.ini
[root@controller-0 ~]#

Comment 1 jianzzha 2018-06-28 22:47:03 UTC
2018-05-23.1 puddle

Comment 2 jianzzha 2018-06-29 15:28:52 UTC
deploy command used:
openstack overcloud deploy \
--templates \
-r $PWD/roles_data.yaml \
-e /usr/share/openstack-tripleo-heat-templates/environments/network-isolation.yaml \
-e /usr/share/openstack-tripleo-heat-templates/environments/host-config-and-reboot.yaml \
-e /usr/share/openstack-tripleo-heat-templates/environments/neutron-sriov.yaml \
-e /usr/share/openstack-tripleo-heat-templates/environments/services-docker/neutron-opendaylight-hw-offload.yaml \
-e /home/stack/docker_registry.yaml \
-e $PWD/skylake-odl-offloading-environment.yaml \
-e $PWD/disable-telemetry.yaml \
--validation-warnings-fatal \
--ntp-server clock.redhat.com

Comment 3 jianzzha 2018-07-03 17:31:33 UTC
also tried with neutron-opendaylight.yaml,

penstack overcloud deploy \
--templates \
-r $PWD/roles_data.yaml \
-e /usr/share/openstack-tripleo-heat-templates/environments/network-isolation.yaml \
-e /usr/share/openstack-tripleo-heat-templates/environments/host-config-and-reboot.yaml \
-e /usr/share/openstack-tripleo-heat-templates/environments/neutron-sriov.yaml \
-e /usr/share/openstack-tripleo-heat-templates/environments/services-docker/neutron-opendaylight.yaml \
-e /usr/share/openstack-tripleo-heat-templates/environments/services-docker/neutron-opendaylight-hw-offload.yaml \
-e /home/stack/docker_registry.yaml \
-e $PWD/skylake-odl-offloading-environment.yaml

same results

Comment 4 Mike Kolesnik 2018-07-04 12:35:26 UTC
Please try with the GA puddle 2018-06-21.2

Comment 5 Mike Kolesnik 2018-07-16 07:04:04 UTC
Seems to be an old puddle, please try again with a newer puddle and if you still see the issue reopen the bug with the relevant logs.

Comment 6 jianzzha 2018-07-19 14:41:05 UTC
sorry I was on PTO in last two weeks and just saw this. I will give it try and see if the latest puddle helps


Note You need to log in before you can comment on or make changes to this bug.